Subject: Re: df --local
From: Marcos Lorenzo de Santiago <[email-masked]>
To: Rob Brown <[email-masked]>
Cc: [email-masked]
Date: Fri, 20 Sep 2002 09:52:38 +0200 (CEST)

> I am trying to write a script that checks the % free of local drives using
     > df.
     >
     > $ df -a
     > Filesystem           1k-blocks      Used Available Use% Mounted on
     > C:\cygwin\bin         19936633   5750854  14185779  29% /usr/bin
     > c:\cygwin\lib         19936633   5750854  14185779  29% /usr/lib
     > \\server1\rob         961282048 850460672 110821376  89% /rob
     > c:\cygwin             19936633   5750854  14185779  29% /
     > c:                    19936633   5750854  14185779  29% /cygdrive/c
     > d:                      544324    544324         0 100% /cygdrive/d
     > u:                   961282048 850460672 110821376  89% /cygdrive/u
     >
     > The problem is that when I run df --local, I only see remotely mounted
     > filesystem:
     > $ df --local
     > Filesystem           1k-blocks      Used Available Use% Mounted on
     > \\server1\rob         961282048 850460672 110821376  89% /rob
     >
     > Is this a bug? It seems to be opposite of what you would expect.
     >
     > Also, is there a way to exclude the CDrom drive from the script, since it
     > will always show 100%?

Well you can always do a df | grep -v "/cygdrive/d"

m4c.

__________________________________________________________

Equipo Técnico de Laboratorios:
Gregorio Corral Torres
Esteban García Cuesta
Marcos Lorenzo de Santiago
Iván Alonso Gutiérrez
__________________________________________________________

Departamento de Ingeniería Telemática
Edificio Torres Quevedo 4.1A01 Tfno:91-624-8757
Escuela Politécnica Superior
Universidad Carlos III Av.Universidad 30 Leganés (Madrid).
__________________________________________________________

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/